"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeGraphiQLHandler = void 0;
const ruruServer = import("ruru/server");
let ruruHTML = undefined;
// TODO: use a specific version of mermaid
function makeGraphiQLHandler(_resolvedPreset, dynamicOptions) {
    return async (request) => {
        if (!ruruHTML) {
            ruruHTML = (await ruruServer).ruruHTML;
        }
        const config = {
            endpoint: dynamicOptions.graphqlPath,
            // TODO: websocket endpoint
            debugTools: dynamicOptions.explain === true
                ? ["explain", "plan"]
                : dynamicOptions.explain === false
                    ? []
                    : dynamicOptions.explain,
        };
        return {
            statusCode: 200,
            request,
            dynamicOptions,
            type: "html",
            payload: Buffer.from(ruruHTML(config), "utf8"),
        };
    };
}
exports.makeGraphiQLHandler = makeGraphiQLHandler;
//# sourceMappingURL=graphiql.js.map