import type { AsyncExecutionResult, ExecutionResult } from "graphql";
import { GraphQLError } from "graphql";
export declare function defaultMaskError(error: GraphQLError): GraphQLError;
export declare function makeMaskError(callback: (error: GraphQLError) => GraphQLError): (error: GraphQLError) => GraphQLError;
export declare function optionsFromConfig(config: GraphileConfig.ResolvedPreset): {
    outputDataAsString: boolean;
    graphqlPath: string;
    graphqlOverGET: boolean;
    graphiql: boolean;
    graphiqlOnGraphQLGET: boolean;
    graphiqlPath: string;
    watch: boolean;
    eventStreamRoute: string;
    maxRequestLength: number;
    explain: boolean | string[] | undefined;
    schemaWaitTime: number;
    maskError: (error: GraphQLError) => GraphQLError;
    maskPayload: (payload: any) => any;
    maskIterator: (result: AsyncGenerator<AsyncExecutionResult>) => AsyncGenerator<AsyncExecutionResult>;
    maskExecutionResult: (result: ExecutionResult | AsyncGenerator<AsyncExecutionResult>) => any;
};
export type OptionsFromConfig = ReturnType<typeof optionsFromConfig>;
//# sourceMappingURL=options.d.ts.map