/// <reference types="node" />
/// <reference types="node" />
import type { IncomingMessage, Server as HTTPServer, ServerResponse } from "node:http";
import type { Server as HTTPSServer } from "node:https";
import { GrafservBase } from "../../core/base.js";
import type { GrafservConfig, RequestDigest } from "../../interfaces.js";
import type { OptionsFromConfig } from "../../options.js";
declare global {
    namespace Grafast {
        interface RequestContext {
            node: {
                req: IncomingMessage;
                res: ServerResponse;
            };
        }
    }
}
export declare class NodeGrafservBase extends GrafservBase {
    constructor(config: GrafservConfig);
    protected getDigest(dynamicOptions: OptionsFromConfig, req: IncomingMessage, res: ServerResponse, isHTTPS: boolean): RequestDigest;
    /**
     * @deprecated Please user serv.addTo instead, so that websockets can be automatically supported
     */
    createHandler(isHTTPS?: boolean): (req: IncomingMessage, res: ServerResponse, next?: (err?: Error) => void) => void;
    protected _createHandler(isHTTPS?: boolean): (req: IncomingMessage, res: ServerResponse, next?: (err?: Error) => void) => void;
}
export declare class NodeGrafserv extends NodeGrafservBase {
    addTo(server: HTTPServer | HTTPSServer): Promise<void>;
}
export declare function grafserv(config: GrafservConfig): NodeGrafserv;
export declare function attachWebsocketsToServer(instance: GrafservBase, server: HTTPServer | HTTPSServer): Promise<void>;
//# sourceMappingURL=index.d.ts.map