/// <reference types="node" />
import type { AsyncExecutionResult, ExecutionResult } from "graphql";
import type { ServerOptions } from "graphql-ws";
import type { Readable } from "node:stream";
import type { GrafservBase } from "./index.js";
import type { GrafservBody, NormalizedRequestDigest, RequestDigest } from "./interfaces.js";
export declare function handleErrors(payload: ExecutionResult | AsyncExecutionResult): void;
type IncomingHttpHeaders = Record<string, string | string[] | undefined>;
export declare function processHeaders(headers: IncomingHttpHeaders): Record<string, string>;
export declare function getBodyFromRequest(req: Readable, maxLength: number): Promise<GrafservBody>;
export declare function getBodyFromFrameworkBody(body: unknown): GrafservBody;
export declare function memo<T>(fn: () => T): () => T;
export declare function normalizeRequest(request: RequestDigest | NormalizedRequestDigest): NormalizedRequestDigest;
export declare function httpError(statusCode: number, message: string): Error & {
    statusCode: number;
};
export declare function makeGraphQLWSConfig(instance: GrafservBase): ServerOptions;
export {};
//# sourceMappingURL=utils.d.ts.map